org.apache.fop.fonts.autodetect

## Class WindowsFontDirFinder

- java.lang.Object
- - org.apache.fop.fonts.autodetect.WindowsFontDirFinder

- All Implemented Interfaces:
    FontDirFinder

      public class WindowsFontDirFinder
      extends java.lang.Object
      implements FontDirFinder

  FontFinder for native Windows platforms

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsFontDirFinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.io.File>` | `find()` Finds a list of font files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsFontDirFinder

          public WindowsFontDirFinder()

  - ### Method Detail

    - #### find

          public java.util.List<java.io.File> find()

      Finds a list of font files.
      Specified by:
        `find` in interface `FontDirFinder`
      Returns:
        a list of detected font files

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.